Subject: [website] translations

From: sirgazil <[email-masked]>
Date: Fri, 06 Sep 2019 13:17:10 -0500

Hi, Florian :)

I haven't had the time to work on the website again, so I haven't tried your code yet. But I'm glad you're working on this.

Regarding URLs, I would prefer using IRIs, like follows:

    /IETF-LANGUAGE-TAG/path/to/resource/

So:

    /es-ES/vídeos/
    /es-CO/videos/

Currently, I do this for document-like resources, but I haven't thought if the same should be done for other resources like images, videos, etc., that may need localization as well.

I have to say that I'm always afraid that something will break if you don't feed English to current systems, though. See for example the URLs that result when you export texinfo documentation written in other languages to HTML:

  https://guix.gnu.org/manual/es/html_node/Instalacion-del-sistema.html#Instalaci_00f3n-del-sistema

In this example, the accented "ó" of "Instalación" is changed in two different ways that make the URL less readable for a Spanish speaker.

Still, I think it's good to internationalize whatever is supposed to be "localizable" (in theory) to push systems to handle other languages better.

Speaking of the manual, I would also think about changing its URL path to the /IETF-LANGUAGE-TAG/manual/ form to make everything uniform if possible.

As for the website dropdowns, that could be reported as a separate issue (yes, they are not really accessible at the moment). I didn't know how to implement the tab navigation for them at that time, but I think it is possible using only CSS.

---
https://sirgazil.bitbucket.io/